﻿using System;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.UI.HtmlControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Fetch the Facebook OpenGraph Meta Tags from Database.
        DataTable dt = this.GetData();

        foreach (DataRow row in dt.Rows)
        {
            //Populate the HtmlMeta object from Database Row.
            HtmlMeta meta = new HtmlMeta
            {
                Name = row["Name"].ToString(),
                Content = row["Content"].ToString()
            };
            meta.Attributes["property"] = row["Property"].ToString();

            //Add a Line break.
            this.Page.Header.Controls.Add(new Literal() { Text = Environment.NewLine });

            //Add the HtmlMeta object to the Page Header (HEAD Tag).
            this.Page.Header.Controls.Add(meta);
        }

        //Add a Line break.
        this.Page.Header.Controls.Add(new Literal() { Text = Environment.NewLine });
    }

    private DataTable GetData()
    {
        string query = "SELECT Name, Content, Property FROM OpenGraphTags";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlDataAdapter sda = new SqlDataAdapter(query, con))
            {
                using (DataTable dt = new DataTable())
                {
                    sda.Fill(dt);
                    return dt;
                }
            }
        }
    }
}