﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Web.UI.HtmlControls


Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        'Fetch the Facebook OpenGraph Meta Tags from Database.
        Dim dt As DataTable = Me.GetData()

        For Each row As DataRow In dt.Rows
            'Populate the HtmlMeta object from Database Row.
            Dim meta As HtmlMeta = New HtmlMeta With {
                .Name = row("Name").ToString(),
                .Content = row("Content").ToString()
            }
            meta.Attributes("property") = row("Property").ToString()

            'Add a Line break.
            Me.Page.Header.Controls.Add(New Literal() With {
                .Text = Environment.NewLine
            })

            'Add the HtmlMeta object to the Page Header (HEAD Tag).
            Me.Page.Header.Controls.Add(meta)
        Next

        'Add a Line break.
        Me.Page.Header.Controls.Add(New Literal() With {
            .Text = Environment.NewLine
        })
    End Sub

    Private Function GetData() As DataTable
        Dim query As String = "SELECT Name, Content, Property FROM OpenGraphTags"
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Using sda As SqlDataAdapter = New SqlDataAdapter(query, con)
                Using dt As DataTable = New DataTable()
                    sda.Fill(dt)
                    Return dt
                End Using
            End Using
        End Using
    End Function
End Class
